Skip to main content
`Ctrl`+`K`

# pandas.arrays.FloatingArray

class pandas.arrays.FloatingArray(values, mask, copy=False)

  Array of floating (optional missing) values.

  Warning

  FloatingArray is currently experimental, and its API or internal implementation may change without warning. Especially the behaviour regarding NaN (distinct from NA missing values) is subject to change.

  We represent a FloatingArray with 2 numpy arrays:

  - data: contains a numpy float array of the appropriate dtype

  - mask: a boolean array holding a mask on the data, True is missing

  To construct an FloatingArray from generic array-like input, use `pandas.array()` with one of the float dtypes (see examples).

  See Nullable integer data type for more.

  Parameters:
    values numpy.ndarray

      A 1-d float-dtype array.

    mask numpy.ndarray

      A 1-d boolean-dtype array indicating missing values.

    copy bool, default False

      Whether to copy the values and mask.

  Attributes

  None |

  Methods

  None |

  Returns:
    FloatingArray

  Examples

  Create an FloatingArray with `pandas.array()`:

      >>> pd.array([0.1, None, 0.3], dtype=pd.Float32Dtype())
      <FloatingArray>
      [0.1, <NA>, 0.3]
      Length: 3, dtype: Float32

  String aliases for the dtypes are also available. They are capitalized.

      >>> pd.array([0.1, None, 0.3], dtype="Float32")
      <FloatingArray>
      [0.1, <NA>, 0.3]
      Length: 3, dtype: Float32